Create API token

POST/v2/tokens

Create API token

Body #

application/json
PropertyTypeDescription
datasetCapabilitiesobject
descriptionstringDescription of the token
expiresAtstring<date-time>Expiration date of the token (ISO 8601 format)
namestringRequiredName of the token
orgCapabilitiesobject
annotationsstring[]Annotations capability
apiTokensstring[]API tokens capability
auditLogstring[]Audit Log capability
billingstring[]Billing capability
dashboardsstring[]Dashboards capability
datasetsstring[]Datasets capability
endpointsstring[]Endpoints capability
flowsstring[]Flows capability
integrationsstring[]Integrations capability
monitorsstring[]Monitors capability
notifiersstring[]Notifiers capability
rbacstring[]Access control capability
sharedAccessKeysstring[]Shared access keys capability
usersstring[]Users capability
viewsstring[]Views capability
viewCapabilitiesobject

Request #

curl -X POST 'https://api.axiom.co/v2/tokens' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"datasetCapabilities":{},"description":"string","expiresAt":"2026-01-01T00:00:00Z","name":"string","orgCapabilities":{"annotations":["create"],"apiTokens":["create"],"auditLog":["read"],"billing":["read"],"dashboards":["create"],"datasets":["create"],"endpoints":["create"],"flows":["create"],"integrations":["create"],"monitors":["create"],"notifiers":["create"],"rbac":["create"],"sharedAccessKeys":["read"],"users":["create"],"views":["create"]},"viewCapabilities":{}}'
Try itRun this request against your Axiom organization

Credentials stay in this browser tab and are only sent to Axiom when you run the request.

Response #

200CreateApiTokenResponse
application/json